Bank Account Verification Lending
Introduction
This API helps fetch lending-related enrichment attributes for an already connected account holder using the loginId linked with the customer. LoginId will be generated when the customer is first connected using Generate Link API.
The Lending Attributes API is primarily used for lending and underwriting use cases, such as:
- Income analysis
- Cash-flow analysis
- Overall and predictive risk analysis
- Liability analysis
Currently, the Lending Attributes API is supported only for the US region (Flinks).
API Details
The loginId generated after successfully completing the Generate Link journey should be used as input for this API.
This API requires that sufficient transaction data is already available for the given connection. So, there should be a last present successful connection with refreshed transactions. If transactions are not found, enrichment cannot be generated.
Sample cURL
curl --location 'https://api-preproduction.signzy.us/api/v3/global-bank-verification/get-lending-attributes' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/json' \
--data '{
"customerId": "69416f9ba83d7d9dfce5938e",
"loginId": "d74efed8-238d-443f-489d-08de3caff735",
"country": "US"
}'Request Body Parameters
Parameter | Data Type | Required | Description |
|---|---|---|---|
customerId | string | Yes | A unique 24 digit clientid assigned to Signzy's customer. Client has to send the same id each request for tracking at Signzy's end. |
country | string | Yes | Country of bank account. Supported value: US |
loginId | string | Yes | Login ID generated after completing the Generate Link journey |
Sample Response
{
"result": {
"statusCode": 400,
"loginId": ": "d74efed8-238d-443f-489d-08de3caff735",
"action": "NO_TRANSACTION",
"message": "No transactions were found."
}
}Response Body Parameters
Parameter | Data Type | Description |
|---|---|---|
result.statusCode | Number | Status returned by the lending attributes process |
result.loginId | String | Login ID used to fetch lending attributes |
result.action | String | Action taken based on API outcome (SUCCESSFUL) |
result.message | String | Informational message describing the result |
result.card | Object | Object containing lending and financial attributes |
Account & Balance Metrics
Parameter | Data Type | Description |
|---|---|---|
card.accountAgeDays | Number | Age of the bank account in days |
card.balanceCurrent | Number | Current account balance |
card.balance90DaysAgo | Number | Balance 90 days ago |
card.balanceMax | Number | Maximum observed balance |
card.balanceMin | Number | Minimum observed balance |
card.balanceTrendSimple | String | Balance trend (INCREASING, CONSISTENT, DECREASING) |
Activity & Trend Indicators
Parameter | Data Type | Description |
|---|---|---|
card.activeDaysTrend | Number | Ratio indicating activity consistency |
card.activeDaysTrendSimple | String | Simplified activity trend |
card.overallActivityTrendSimple | String | Overall transaction trend |
card.creditActivityTrendSimple | String | Credit transaction trend |
card.debitActivityTrendSimple | String | Debit transaction trend |
card.totalDepositsTrendSimple | String | Deposit trend |
Employer & Income Source Details
Parameter | Data Type | Description |
|---|---|---|
card.employerName | String | Primary employer name |
card.employerAName | String | Employer A name |
card.employerBName | String | Employer B name |
card.employerOtherName | String | Other employer name |
card.employerIncomeFrequency | String | Employer income frequency |
card.employerAFrequency | String | Employer A income frequency |
card.employerBFrequency | String | Employer B income frequency |
card.employerOtherFrequency | String | Other employer income frequency |
Government & Assistance Income
Parameter | Data Type | Description |
|---|---|---|
card.governmentIncomeFrequency | String | Government income frequency |
card.disabilityIncomeFrequency | String | Disability income frequency |
card.pensionIncomeFrequency | String | Pension income frequency |
card.socialAssistanceIncomeFrequency | String | Social assistance income frequency |
card.wsibIncomeFrequency | String | WSIB income frequency |
Presence & Risk Indicators
Parameter | Data Type | Description |
|---|---|---|
card.hasEmployerIncomeInLast7Days | String | Employer income detected in last 7 days |
card.hasEmployerIncomeInLast14Days | String | Employer income detected in last 14 days |
card.hasEmployerIncomeInLast30Days | String | Employer income detected in last 30 days |
card.hasGovernmentIncomeInLast7Days | String | Government income detected in last 7 days |
card.hasGovernmentIncomeInLast14Days | String | Government income detected in last 14 days |
card.hasGovernmentIncomeInLast30Days | String | Government income detected in last 30 days |
card.hasOverdraft | Boolean | Indicates if overdraft occurred |
card.isEmploymentLossDetected | String | Employment loss detection flag |
Count-Based Metrics
Field Pattern | Data Type | Description |
|---|---|---|
count*CurrentMonth | Number | Count of events in the current month |
count*PreviousMonth | Number | Count of events in the previous month |
count*<N>MonthsAgo | Number | Count of events N months ago |
countActiveDays | Number | Number of active transaction days |
countDistinctMicroLenders | Number | Number of unique micro-lenders |
countNsf* | Number | NSF counts across time ranges |
countDaysNegativeBalance90Days | Number | Days with negative balance in last 90 days |
Sum-Based Metrics
Field Pattern | Data Type | Description |
|---|---|---|
sum*CurrentMonth | Number | Sum of values in the current month |
sum*PreviousMonth | Number | Sum of values in the previous month |
sum*<N>MonthsAgo | Number | Sum of values N months ago |
sumTotalIncome | Number | Total aggregated income |
sumLoanPayments | Number | Total loan payments |
sumGovernmentIncomeTotal | Number | Total government income |
Average Metrics
Field Pattern | Data Type | Description |
|---|---|---|
average*Deposit | Number | Average deposit amount |
average*Payment | Number | Average payment amount |
averageMonthly*Complex | Number | Average monthly calculated metric |
averageMonthlyFreeCashFlow | Number | Average free cash flow |
Attributes Detail
Parameter | Data Type | Description |
|---|---|---|
card.attributesDetail | Array | Maps derived attributes to source transactions |
attributesDetail[].attribute | String | Attribute name |
attributesDetail[].transactions | Array | Transactions contributing to the attribute |
transactions[].transactionId | String | Transaction ID |
transactions[].accountId | String | Account ID |
transactions[].date | String | Transaction date |
transactions[].description | String | Transaction description |
transactions[].debit | Number | Debit amount |
transactions[].credit | Number | Credit amount |
transactions[].balance | Number | Balance after transaction |

Sample Error
Case of wrong login Id
{
"error": {
"name": "error",
"message": "No tracking data found for loginId: <loginId>",
"status": 404,
"reason": "ERROR",
"type": "Not Found",
"statusCode": 404
}
}Error Response Parameters
Parameter | Description |
|---|---|
error | This parameter contains the error. |
error.name | the name of the error |
error.message | the error message |
error.status | status of the api |
error.reason | Reason for error |
error.type | Type of the error |
error.statusCode | Request Status code from Signzy |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected]. We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.
We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!